# $Revision: 1.11 $, $Date: 2011/03/15 17:07:59 $
Summary:	Set of additional widgets for GTK+ (C++ bindings)
Summary(pl.UTF-8):	Zestaw dodatkowych kontrolek dla GTK+ (dowiązania C++)
Name:		libsexymm
Version:	0.1.9
Release:	6
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://releases.chipx86.com/libsexy/libsexymm/%{name}-%{version}.tar.gz
# Source0-md5:	77c8ae69084e478a6b090ec6e5ae26bf
Patch0:		%{name}-ac.patch
URL:		http://chipx86.com/wiki/Libsexy
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gtkmm-devel >= 2.10.1
BuildRequires:	libsexy-devel >= 0.1.9
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Set of graphical widgets for GTK+ applications.

%description -l pl.UTF-8
Zestaw kontrolek graficznych dla programów opartych o GTK+.

%package devel
Summary:	Header files for libsexymm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsexymm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtkmm-devel >= 2.10.1
Requires:	libsexy-devel >= 0.1.9

%description devel
Header files for libsexymm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libsexymm.

%package static
Summary:	Static libsexymm library
Summary(pl.UTF-8):	Statyczna biblioteka libsexymm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libsexymm library.

%description static -l pl.UTF-8
Statyczna biblioteka libsexymm.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_libdir}/libsexymm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsexymm.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsexymm.so
%{_libdir}/libsexymm
%{_includedir}/libsexymm
%{_pkgconfigdir}/libsexymm.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsexymm.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsexymm.spec,v $
Revision 1.11  2011/03/15 17:07:59  wiget
- drop libtool file
- package soname
- no wildcards in %files
- rel. 6

Revision 1.10  2010/11/24 10:18:06  hawk
- release 5

Revision 1.9  2010/03/04 12:39:06  hawk
- release 4

Revision 1.8  2008/11/07 14:22:44  pluto
- build fixed, release 3.

Revision 1.7  2008/11/07 14:06:30  pluto
- release 2.

Revision 1.6  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:04  baggins
- converted to UTF-8

Revision 1.4  2006/09/04 16:34:19  grzegol
- updated to 0.1.9
- updated BRs

Revision 1.3  2006/03/16 17:36:39  freetz
- 0.1.7, more files

Revision 1.2  2005/12/13 21:10:33  qboosh
- more devel deps

Revision 1.1  2005/12/11 01:22:21  adamg
- new
